Package ch.qos.logback.core.net

## Class ObjectWriterFactory

- java.lang.Object
- - ch.qos.logback.core.net.ObjectWriterFactory

    public class ObjectWriterFactory
    extends java.lang.Object

Factory for `ObjectWriter` instances.

Author:
  Sebastian Gröbler

### Constructor Summary

Constructors
`ObjectWriterFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AutoFlushingObjectWriter` `newAutoFlushingObjectWriter​(java.io.OutputStream outputStream)` Creates a new `AutoFlushingObjectWriter` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectWriterFactory

    public ObjectWriterFactory()

### Method Detail

#### newAutoFlushingObjectWriter

    public AutoFlushingObjectWriter newAutoFlushingObjectWriter​(java.io.OutputStream outputStream)
                                                         throws java.io.IOException

Creates a new `AutoFlushingObjectWriter` instance.

Parameters:
  `outputStream` - the underlying `OutputStream` to write to
Returns:
  a new `AutoFlushingObjectWriter` instance
Throws:
  `java.io.IOException` - if an I/O error occurs while writing stream header